fast-logger-3.2.6: A fast logging system

Safe Haskell | None
Language | Haskell2010

System.Log.FastLogger.Date

Contents

- Date cacher

Description

Formatting time is slow. This package provides mechanisms to cache formatted date.

Synopsis

- newTimeCache :: TimeFormat -> IO (IO FormattedTime)
- simpleTimeFormat :: TimeFormat
- simpleTimeFormat' :: TimeFormat

# Date cacher

newTimeCache :: TimeFormat -> IO (IO FormattedTime) Source #

Make `IO` action which get cached formatted local time. Use this to avoid the cost of frequently time formatting by caching an auto updating formatted time, this cache update every 1 second. more detail in Control.AutoUpdate

simpleTimeFormat :: TimeFormat Source #

A simple time cache using format `"%d%b%Y:%T %z"`

simpleTimeFormat' :: TimeFormat Source #

A simple time cache using format `"%d-%b-%Y %T"`